% [Atest, btest, Atrain, btrain] = LoadDatasets(train_filename, test_filename)
%
% Loads the data stored in the given files, which should correspond to
% training and testing data, and returns them. The matrices A, Atest
% and Atrain, are the testing and training features,
% respectively. btest and btrain are the labels.
%
% If the files are not specified, then they default to zip.train and
% zip.test, respectively.
%
% The matrix Atrain is of size N-by-d, where N is the training data
% size, while btrain is of size N-by-1 and consists of integers
% corresponding to the label (0, 1, ..., 9) of the digit.
function [Atest, btest, Atrain, btrain] = ...
    LoadDatasets(train_filename, test_filename)

if (nargin < 2)
  train_filename = 'zip.train';
  test_filename = 'zip.test';
end

% First, read the training data
X = dlmread(train_filename, ' ');
btrain = int32(X(:, 1));
Atrain = X(:, 2:end);
X = dlmread(test_filename, ' ');
btest = int32(X(:, 1));
Atest = X(:, 2:end);
