% G = MulticlassSVMSubgradient(X, a, b)
%
% Let y = b + 1, so that y is in {1, 2, ..., 10}. (This corrects the
% indexing for b.) Returns a subgradient of the objective
%
%   max_{i != y} ( 1 + a' * (X[:, i] - X[:, y]) )_+
%
% the idea being that we would like to have the correct label be
% assigned score a' * X[:, y] >> a' * X[:, i] for any incorrect label
% i != y. The notation ( . )_+ means the positive part of its
% argument.
%
% The inputs are X, of size n-by-K, where K is the number of classes,
% a of size n, and b an integer in {0, 1, ..., 9}.
function G = MulticlassSVMSubgradient(X, a, b)

G = zeros(size(X));
%% IMPLEMENT THE SUBGRADIENT CALCULATION -- YOUR CODE HERE
